$(function () {

    //下一步
    $("#next").click(function () {
        $("input[type='text']").trigger("blur");
        if ($("form span").hasClass("ico-error")) {
            alert("请按照提示正确操作，检查各项填写");
            return false;
        } else {
            $("#FormControl").attr("action", "InstallDB.aspx");
            $("#FormControl").submit();
        }

    });

    $("#dbcon").click(function () {
        getDBcon();
    });

    function getDBcon() {
        $.ajax({
            type: "POST",
            url: "/Install/Ajax/DataBase.ashx",
            data: { com: 'getdbcon', dbcon_txt: $("#dbcon_txt").val(), duankou_txt: $("#duankou_txt").val(), dbuser_txt: $("#dbuser_txt").val(), dbpw_txt: $("#dbpw_txt").val(), dbname_txt: $("#dbname_txt").val() },
            datatype: "json",
            beforeSend: function (data, textStatus) {
                $("#dbcon").next("span").attr("class", "point ico-remind Q");
                $("#dbcon").next("span").html("正在测试连接...");
            },
            success: function (data, textStatus) {
                if (data == "1") {
                    $("#dbcon").next("span").attr("class", "point ico-via Q");
                    $("#dbcon").next("span").html("数据库连接成功");
                    return true;
                } else {
                    $("#dbcon").next("span").attr("class", "point ico-error R");
                    $("#dbcon").next("span").html("连接失败，请检查数据库连接地址、账号、密码");
                    return false;
                }
            },
            error: function (XMLHttpRequest, textStatus, errorThrown) { alert(errorThrown); }
        })
    }

})